| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# ooclass

$Revision: 1.2 $

$Date: 2002/06/11 01:20:06 $

ooclass — A class in an object-oriented programming language

## Synopsis

### Content Model

    ooclass ::=
    (modifier*,classname)

### Attributes

Common attributes

## Description

The `OOClass` element identifies programming language classes, generally from object-oriented programming languages. The `OOClass` is a wrapper for the `ClassName` plus some `Modifier`s.

### Processing expectations

Formatted inline.

### Parents

These elements contain ooclass: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsis`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in ooclass: `classname`, `modifier`.

olink |  | ooexception

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.